CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[timer] Timer

## Functions
__STATIC_INLINE void | TimerEnable (uint32_t ui32Base, uint32_t ui32Timer)
| Enables the timer(s). More...
__STATIC_INLINE void | TimerDisable (uint32_t ui32Base, uint32_t ui32Timer)
| Disables the timer(s). More...
void | TimerConfigure (uint32_t ui32Base, uint32_t ui32Config)
| Configures the timer(s). More...
void | TimerLevelControl (uint32_t ui32Base, uint32_t ui32Timer, bool bInvert)
| Controls the output level. More...
void | TimerTriggerControl (uint32_t ui32Base, uint32_t ui32Timer, bool bEnable)
| Enables or disables the ADC trigger output. More...
__STATIC_INLINE void | TimerEventControl (uint32_t ui32Base, uint32_t ui32Timer, uint32_t ui32Event)
| Controls the event type. More...
void | TimerStallControl (uint32_t ui32Base, uint32_t ui32Timer, bool bStall)
| Controls the stall handling. More...
void | TimerWaitOnTriggerControl (uint32_t ui32Base, uint32_t ui32Timer, bool bWait)
| Controls the wait on trigger handling. More...
__STATIC_INLINE void | TimerRtcEnable (uint32_t ui32Base)
| Enable RTC counting. More...
__STATIC_INLINE void | TimerRtcDisable (uint32_t ui32Base)
| Disable RTC counting. More...
__STATIC_INLINE void | TimerPrescaleSet (uint32_t ui32Base, uint32_t ui32Timer, uint32_t ui32Value)
| Set the timer prescale value. More...
__STATIC_INLINE uint32_t | TimerPrescaleGet (uint32_t ui32Base, uint32_t ui32Timer)
| Get the timer prescale value. More...
__STATIC_INLINE void | TimerPrescaleMatchSet (uint32_t ui32Base, uint32_t ui32Timer, uint32_t ui32Value)
| Set the timer prescale match value. More...
__STATIC_INLINE uint32_t | TimerPrescaleMatchGet (uint32_t ui32Base, uint32_t ui32Timer)
| Get the timer prescale match value. More...
__STATIC_INLINE void | TimerLoadSet (uint32_t ui32Base, uint32_t ui32Timer, uint32_t ui32Value)
| Sets the timer load value. More...
__STATIC_INLINE uint32_t | TimerLoadGet (uint32_t ui32Base, uint32_t ui32Timer)
| Gets the timer load value. More...
__STATIC_INLINE uint32_t | TimerValueGet (uint32_t ui32Base, uint32_t ui32Timer)
| Gets the current timer value. More...
__STATIC_INLINE void | TimerMatchSet (uint32_t ui32Base, uint32_t ui32Timer, uint32_t ui32Value)
| Sets the timer match value. More...
__STATIC_INLINE uint32_t | TimerMatchGet (uint32_t ui32Base, uint32_t ui32Timer)
| Gets the timer match value. More...
void | TimerIntRegister (uint32_t ui32Base, uint32_t ui32Timer, void(*pfnHandler)(void))
| Registers an interrupt handler for the timer interrupt. More...
void | TimerIntUnregister (uint32_t ui32Base, uint32_t ui32Timer)
| Unregisters an interrupt handler for the timer interrupt. More...
__STATIC_INLINE void | TimerIntEnable (uint32_t ui32Base, uint32_t ui32IntFlags)
| Enables individual timer interrupt sources. More...
__STATIC_INLINE void | TimerIntDisable (uint32_t ui32Base, uint32_t ui32IntFlags)
| Disables individual timer interrupt sources. More...
__STATIC_INLINE uint32_t | TimerIntStatus (uint32_t ui32Base, bool bMasked)
| Gets the current interrupt status. More...
__STATIC_INLINE void | TimerIntClear (uint32_t ui32Base, uint32_t ui32IntFlags)
| Clears timer interrupt sources. More...
__STATIC_INLINE void | TimerSynchronize (uint32_t ui32Base, uint32_t ui32Timers)
| Synchronizes the counters in a set of timers. More...

## Detailed Description

## Function Documentation

void TimerConfigure | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Config
| ) |  |

Configures the timer(s).

This function configures the operating mode of the timer(s). The timer module is disabled before being configured and is left in the disabled state.

The timers are comprised of two 16-bit timers that can operate independently or be concatenated to form a 32-bit timer.

Note
  If the timers are used independently the length of timer can be extended to 24 bit by use of an 8 bit prescale register set using TimerPrescaleSet().

When configuring for full-width timer `ui32Config` is set as one of the following values:

- TIMER_CFG_ONE_SHOT : Full-width one-shot timer.
- TIMER_CFG_ONE_SHOT_UP : Full-width one-shot timer that counts up instead of down.
- TIMER_CFG_PERIODIC : Full-width periodic timer.
- TIMER_CFG_PERIODIC_UP : Full-width periodic timer that counts up instead of down.
- TIMER_CFG_RTC : Full-width real time clock timer.

When configuring for a pair of half-width timers, each timer is separately configured. The timers are configured by setting `ui32Config` to the bitwise OR of one of each of the following three:

- Use half-width timers:
  - TIMER_CFG_SPLIT_PAIR
- Timer A:
  - TIMER_CFG_A_ONE_SHOT : Half-width one-shot timer
  - TIMER_CFG_A_ONE_SHOT_UP : Half-width one-shot timer that counts up instead of down.
  - TIMER_CFG_A_PERIODIC : Half-width periodic timer
  - TIMER_CFG_A_PERIODIC_UP : Half-width periodic timer that counts up instead of down.
  - TIMER_CFG_A_CAP_COUNT : Half-width edge count capture
  - TIMER_CFG_A_CAP_COUNT_UP : Half-width edge count capture that counts up instead of down.
  - TIMER_CFG_A_CAP_TIME : Half-width edge time capture
  - TIMER_CFG_A_CAP_TIME_UP : Half-width edge time capture that counts up instead of down.
  - TIMER_CFG_A_PWM : Half-width PWM output
- Timer B:
  - Same as Timer A but using TIMER_CFG_B_* instead.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Config | is the configuration for the timer.

Returns
  None

Configures the timer(s).

Definition at line 117 of file timer.c.

__STATIC_INLINE void TimerDisable | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Disables the timer(s).

This function disables operation of the timer module.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to disable. Must be one of: TIMER_A TIMER_B TIMER_BOTH

Returns
  None

Definition at line 251 of file timer.h.

__STATIC_INLINE void TimerEnable | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Enables the timer(s).

This function enables operation of the timer module. The timer must be configured before it is enabled.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to enable. Must be one of: TIMER_A TIMER_B TIMER_BOTH

Returns
  None

Definition at line 220 of file timer.h.

__STATIC_INLINE void TimerEventControl | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | uint32_t | ui32Event
| ) |  |

Controls the event type.

This function configures the signal edge(s) that triggers the timer when in capture mode.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to be adjusted; must be one of: TIMER_A TIMER_B TIMER_BOTH
  ui32Event | specifies the type of event; must be one of: TIMER_EVENT_POS_EDGE TIMER_EVENT_NEG_EDGE TIMER_EVENT_BOTH_EDGES

Returns
  None

Definition at line 385 of file timer.h.

__STATIC_INLINE void TimerIntClear | ( | uint32_t | ui32Base,
|  | uint32_t | ui32IntFlags
| ) |  |

Clears timer interrupt sources.

The specified timer interrupt sources are cleared, so that they no longer assert. This function must be called in the interrupt handler to keep the interrupt from being triggered again immediately upon exit.

Note
  Because there is a write buffer in the Cortex-M processor, it may take several clock cycles before the interrupt source is actually cleared. Therefore, it is recommended that the interrupt source be cleared early in the interrupt handler (as opposed to the very last action) to avoid returning from the interrupt handler before the interrupt source is actually cleared. Failure to do so may result in the interrupt handler being immediately reentered (because the interrupt controller still sees the interrupt source asserted).

Parameters

  ui32Base | is the base address of the timer module.
  ui32IntFlags | is a bit mask of the interrupt sources to be cleared. The parameter must be the bitwise OR of any combination of the following: TIMER_CAPB_EVENT : Capture B event interrupt. TIMER_CAPB_MATCH : Capture B match interrupt. TIMER_TIMB_TIMEOUT : Timer B timeout interrupt. TIMER_RTC_MATCH : RTC interrupt mask. TIMER_CAPA_EVENT : Capture A event interrupt. TIMER_CAPA_MATCH : Capture A match interrupt. TIMER_TIMA_TIMEOUT : Timer A timeout interrupt.

Returns
  None

Definition at line 1102 of file timer.h.

__STATIC_INLINE void TimerIntDisable | ( | uint32_t | ui32Base,
|  | uint32_t | ui32IntFlags
| ) |  |

Disables individual timer interrupt sources.

This function disables the indicated timer interrupt sources. Only the sources that are enabled can be reflected to the processor interrupt; disabled sources have no effect on the processor.

Parameters

  ui32Base | is the base address of the timer module.
  ui32IntFlags | is the bit mask of the interrupt sources to be disabled. The parameter must be the bitwise OR of any combination of the following: TIMER_CAPB_EVENT : Capture B event interrupt. TIMER_CAPB_MATCH : Capture B match interrupt. TIMER_TIMB_TIMEOUT : Timer B timeout interrupt. TIMER_RTC_MATCH : RTC interrupt mask. TIMER_CAPA_EVENT : Capture A event interrupt. TIMER_CAPA_MATCH : Capture A match interrupt. TIMER_TIMA_TIMEOUT : Timer A timeout interrupt.

Returns
  None

Definition at line 1017 of file timer.h.

__STATIC_INLINE void TimerIntEnable | ( | uint32_t | ui32Base,
|  | uint32_t | ui32IntFlags
| ) |  |

Enables individual timer interrupt sources.

This function enables the indicated timer interrupt sources. Only the sources that are enabled can be reflected to the processor interrupt; disabled sources have no effect on the processor.

Parameters

  ui32Base | is the base address of the timer module.
  ui32IntFlags | is the bit mask of the interrupt sources to be enabled. The parameter must be the bitwise OR of any combination of the following: TIMER_CAPB_EVENT : Capture B event interrupt. TIMER_CAPB_MATCH : Capture B match interrupt. TIMER_TIMB_TIMEOUT : Timer B timeout interrupt. TIMER_RTC_MATCH : RTC interrupt mask. TIMER_CAPA_EVENT : Capture A event interrupt. TIMER_CAPA_MATCH : Capture A match interrupt. TIMER_TIMA_TIMEOUT : Timer A timeout interrupt.

Returns
  None

Definition at line 980 of file timer.h.

void TimerIntRegister | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | void(*)(void) | pfnHandler
| ) |  |

Registers an interrupt handler for the timer interrupt.

This function registers the handler to be called when a timer interrupt occurs. In addition, this function enables the global interrupt in the interrupt controller; specific timer interrupts must be enabled via TimerIntEnable(). It is the interrupt handler's responsibility to clear the interrupt source via TimerIntClear().

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s); must be one of: TIMER_A TIMER_B TIMER_BOTH
  pfnHandler | is a pointer to the function to be called when the timer interrupt occurs.

Returns
  None

See also
  IntRegister() for important information about registering interrupt handlers.

Definition at line 312 of file timer.c.

__STATIC_INLINE uint32_t TimerIntStatus | ( | uint32_t | ui32Base,
|  | bool | bMasked
| ) |  |

Gets the current interrupt status.

This function returns the interrupt status for the timer module. Either the raw interrupt status or the status of interrupts that are allowed to reflect to the processor can be returned.

Parameters

  ui32Base | is the base address of the timer module.
  bMasked | selects either raw or masked interrupt status: `true` : Masked interrupt. `false` : Raw interrupt.

Returns
  The current interrupt status, enumerated as a bit field of values:
  - TIMER_CAPB_EVENT : Capture B event interrupt.
  - TIMER_CAPB_MATCH : Capture B match interrupt.
  - TIMER_TIMB_TIMEOUT : Timer B timeout interrupt.
  - TIMER_RTC_MATCH : RTC interrupt mask.
  - TIMER_CAPA_EVENT : Capture A event interrupt.
  - TIMER_CAPA_MATCH : Capture A match interrupt.
  - TIMER_TIMA_TIMEOUT : Timer A timeout interrupt.

Definition at line 1054 of file timer.h.

void TimerIntUnregister | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Unregisters an interrupt handler for the timer interrupt.

This function unregisters the handler to be called when a timer interrupt occurs. This function also masks off the interrupt in the interrupt controller so that the interrupt handler is no longer called.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s); must be one of: TIMER_A TIMER_B TIMER_BOTH

Returns
  None

See also
  IntRegister() for important information about registering interrupt handlers.

Definition at line 367 of file timer.c.

void TimerLevelControl | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | bool | bInvert
| ) |  |

Controls the output level.

This function configures the PWM output level for the specified timer.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to adjust. Must be one of: TIMER_A TIMER_B TIMER_BOTH
  bInvert | specifies the output level. `true` : Timer's output is active low. `false` : Timer's output is active high.

Returns
  None

Definition at line 174 of file timer.c.

__STATIC_INLINE uint32_t TimerLoadGet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Gets the timer load value.

This function gets the currently programmed interval load value for the specified timer.

Note
  This function can be used for both full- and half-width modes of 16/32-bit timers.
  Only TIMER_A should be used when the timer is configured for full-width operation.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer; must be one of: TIMER_A TIMER_B

Returns
  Returns the load value for the timer

Definition at line 766 of file timer.h.

__STATIC_INLINE void TimerLoadSet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | uint32_t | ui32Value
| ) |  |

Sets the timer load value.

This function configures the timer load value; if the timer is running then the value is immediately loaded into the timer.

Note
  This function can be used for both full- and half-width modes of 16/32-bit timers.
  Only TIMER_A should be used when the timer is configured for full-width operation.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to adjust; must be one of: TIMER_A TIMER_B TIMER_BOTH
  ui32Value | is the load value.

Returns
  None

Definition at line 718 of file timer.h.

__STATIC_INLINE uint32_t TimerMatchGet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Gets the timer match value.

This function gets the match value for the specified timer.

Note
  This function can be used for both full- and half-width modes of 16/32-bit timers.
  Only TIMER_A should be used when the timer is configured for full-width operation.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer; must be one of: TIMER_A TIMER_B TIMER_BOTH

Returns
  Returns the match value for the timer

Definition at line 892 of file timer.h.

__STATIC_INLINE void TimerMatchSet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | uint32_t | ui32Value
| ) |  |

Sets the timer match value.

This function configures the match value for a timer. This value is used in capture count mode to determine when to interrupt the processor and in PWM mode to determine the duty cycle of the output signal. Match interrupts can also be generated in periodic and one-shot modes when the value of the counter matches this register.

Note
  This function can be used for both full- and half-width modes of 16/32-bit timers.
  Only TIMER_A should be used when the timer is configured for full-width operation.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to adjust; must be one of: TIMER_A TIMER_B TIMER_BOTH
  ui32Value | is the match value.

Returns
  None

Definition at line 844 of file timer.h.

__STATIC_INLINE uint32_t TimerPrescaleGet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Get the timer prescale value.

This function gets the value of the timer clock prescaler. The prescaler is only operational when in half-width mode and is used to extend the range of the half-width timer modes.

When in one-shot or periodic down count modes, ui32Value defines the prescaler for the timer counter. When acting as a true prescaler, the prescaler counts down to 0 before the value in timer registers are incremented.

In all other individual/split modes, ui32Value is a linear extension of the upper range of the timer counter, holding bits 23:16 in the 16-bit modes of the 16/32-bit timer.

Note
  Because the prescaler counts down to 0 the timer division ratio equals ui32Value + 1. E.g. a prescale value of 15 divides the timer rate by 16.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer; must be one of: TIMER_A TIMER_B

Returns
  Returns the value of the timer prescaler.

Definition at line 593 of file timer.h.

__STATIC_INLINE uint32_t TimerPrescaleMatchGet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Get the timer prescale match value.

This function gets the value of the input clock prescaler match value. When in a half-width mode that uses the counter match and prescaler, the prescale match effectively extends the range of the match. The prescaler provides the least significant bits when counting down in periodic and one-shot modes; in all other modes, the prescaler provides the most significant bits.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer; must be one of: TIMER_A TIMER_B

Returns
  Returns the value of the timer prescale match.

Definition at line 679 of file timer.h.

__STATIC_INLINE void TimerPrescaleMatchSet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | uint32_t | ui32Value
| ) |  |

Set the timer prescale match value.

This function configures the value of the input clock prescaler match value. When in a half-width mode that uses the counter match and the prescaler, the prescale match effectively extends the range of the match. The prescaler provides the least significant bits when counting down in periodic and one-shot modes; in all other modes, the prescaler provides the most significant bits.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to adjust; must be one of: TIMER_A TIMER_B TIMER_BOTH
  ui32Value | is the timer prescale match value which must be between 0 and 255 (both included).

Returns
  None

Definition at line 632 of file timer.h.

__STATIC_INLINE void TimerPrescaleSet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | uint32_t | ui32Value
| ) |  |

Set the timer prescale value.

This function configures the value of the timer clock prescaler. The prescaler is only operational when in half-width mode and is used to extend the range of the half-width timer modes.

When in one-shot or periodic down count modes, ui32Value defines the prescaler for the timer counter. When acting as a true prescaler, the prescaler counts down to 0 before the value in timer registers are incremented.

In all other individual/split modes, ui32Value is a linear extension of the upper range of the timer counter, holding bits 23:16 in the 16-bit modes of the 16/32-bit timer.

Note
  Because the prescaler counts down to 0 the timer division ratio equals ui32Value + 1. E.g. a prescale value of 15 divides the timer rate by 16.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to adjust; must be one of: TIMER_A TIMER_B TIMER_BOTH
  ui32Value | is the timer prescale value which must be between 0 and 255 (both included). 0 : Timer division ratio = 1 (disable prescaling). 1 : Timer division ratio = 2. ... 255 : Timer division ratio = 256.

Returns
  None

Definition at line 538 of file timer.h.

__STATIC_INLINE void TimerRtcDisable | ( | uint32_t | ui32Base | ) |

Disable RTC counting.

This function causes the timer to stop counting when in RTC mode.

Parameters

  ui32Base | is the base address of the timer module.

Returns
  None

Definition at line 490 of file timer.h.

__STATIC_INLINE void TimerRtcEnable | ( | uint32_t | ui32Base | ) |

Enable RTC counting.

This function causes the timer to start counting when in RTC mode. If not configured for RTC mode, this function does nothing.

Parameters

  ui32Base | is the base address of the timer module.

Returns
  None

Definition at line 465 of file timer.h.

void TimerStallControl | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | bool | bStall
| ) |  |

Controls the stall handling.

This function controls the stall response for the specified timer. If the bStall parameter is true, then the timer stops counting if the processor enters debug mode; otherwise the timer keeps running while in debug mode.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to be adjusted; must be one of: TIMER_A TIMER_B TIMER_BOTH
  bStall | specifies the response to a stall signal. `true` : Timer stops counting if the processor enters debug mode. `false` : Timer keeps running if the processor enters debug mode.

Returns
  None

Definition at line 242 of file timer.c.

__STATIC_INLINE void TimerSynchronize | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timers
| ) |  |

Synchronizes the counters in a set of timers.

This function synchronizes the counters in a specified set of timers. When a timer is running in half-width mode, each half can be included or excluded in the synchronization event. When a timer is running in full-width mode, only the A timer can be synchronized (specifying the B timer has no effect).

Parameters

  ui32Base | is the base address of the timer module. This parameter must be the base address of Timer0 (in other words, GPT0_BASE).
  ui32Timers | is the set of timers to synchronize. The parameter is the bitwise OR of any of the following: TIMER_0A_SYNC TIMER_0B_SYNC TIMER_1A_SYNC TIMER_1B_SYNC TIMER_2A_SYNC TIMER_2B_SYNC TIMER_3A_SYNC TIMER_3B_SYNC

Returns
  None

Definition at line 1142 of file timer.h.

void TimerTriggerControl | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | bool | bEnable
| ) |  |

Enables or disables the ADC trigger output.

This function controls the ADC trigger output for the specified timer.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer to adjust; must be one of: TIMER_A TIMER_B TIMER_BOTH
  bEnable | specifies the desired ADC trigger state. `true` : Enable timer's ADC output trigger. `false` : Disable timer's ADC output trigger.

Returns
  None

Definition at line 199 of file timer.c.

__STATIC_INLINE uint32_t TimerValueGet | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer
| ) |  |

Gets the current timer value.

This function reads the current value of the specified timer.

Note
  This function can be used for both full- and half-width modes of 16/32-bit timers.
  Only TIMER_A should be used when the timer is configured for full-width operation.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer; must be one of: TIMER_A TIMER_B

Returns
  Returns the current value of the timer.

Definition at line 802 of file timer.h.

void TimerWaitOnTriggerControl | ( | uint32_t | ui32Base,
|  | uint32_t | ui32Timer,
|  | bool | bWait
| ) |  |

Controls the wait on trigger handling.

This function controls whether or not a timer waits for a trigger input to start counting. When enabled, the previous timer in the trigger chain must count to its timeout in order for this timer to start counting. Refer to the part's data sheet for a description of the trigger chain.

Note
  This function should not be used for Timer 0A or Wide Timer 0A.

Parameters

  ui32Base | is the base address of the timer module.
  ui32Timer | specifies the timer(s) to be adjusted; must be one of: TIMER_A TIMER_B TIMER_BOTH
  bWait | specifies if the timer should wait for a trigger input. `true` : Wait for trigger. `false` : Do not wait for trigger.

Returns
  None

Definition at line 266 of file timer.c.

## Macro Definition Documentation

#define TIMER_0A_SYNC 0x00000001

Definition at line 165 of file timer.h.

#define TIMER_0B_SYNC 0x00000002

Definition at line 166 of file timer.h.

#define TIMER_1A_SYNC 0x00000004

Definition at line 167 of file timer.h.

#define TIMER_1B_SYNC 0x00000008

Definition at line 168 of file timer.h.

#define TIMER_2A_SYNC 0x00000010

Definition at line 169 of file timer.h.

#define TIMER_2B_SYNC 0x00000020

Definition at line 170 of file timer.h.

#define TIMER_3A_SYNC 0x00000040

Definition at line 171 of file timer.h.

#define TIMER_3B_SYNC 0x00000080

Definition at line 172 of file timer.h.

#define TIMER_A 0x000000FF

Definition at line 156 of file timer.h.

Referenced by TimerDisable(), TimerEnable(), TimerEventControl(), TimerIntRegister(), TimerIntUnregister(), TimerLevelControl(), TimerLoadGet(), TimerLoadSet(), TimerMatchGet(), TimerMatchSet(), TimerPrescaleGet(), TimerPrescaleMatchGet(), TimerPrescaleMatchSet(), TimerPrescaleSet(), TimerStallControl(), TimerTriggerControl(), TimerValueGet(), and TimerWaitOnTriggerControl().

#define TIMER_B 0x0000FF00

Definition at line 157 of file timer.h.

Referenced by TimerDisable(), TimerEnable(), TimerEventControl(), TimerIntRegister(), TimerIntUnregister(), TimerLevelControl(), TimerLoadGet(), TimerLoadSet(), TimerMatchGet(), TimerMatchSet(), TimerPrescaleGet(), TimerPrescaleMatchGet(), TimerPrescaleMatchSet(), TimerPrescaleSet(), TimerStallControl(), TimerTriggerControl(), TimerValueGet(), and TimerWaitOnTriggerControl().

#define TIMER_BOTH 0x0000FFFF

Definition at line 158 of file timer.h.

Referenced by TimerDisable(), TimerEnable(), TimerEventControl(), TimerIntRegister(), TimerIntUnregister(), TimerLevelControl(), TimerLoadSet(), TimerMatchSet(), TimerPrescaleGet(), TimerPrescaleMatchSet(), TimerPrescaleSet(), TimerStallControl(), TimerTriggerControl(), and TimerWaitOnTriggerControl().

#define TIMER_CAPA_EVENT 0x00000004

Definition at line 137 of file timer.h.

#define TIMER_CAPA_MATCH 0x00000002

Definition at line 138 of file timer.h.

#define TIMER_CAPB_EVENT 0x00000400

Definition at line 131 of file timer.h.

#define TIMER_CAPB_MATCH 0x00000200

Definition at line 132 of file timer.h.

#define TIMER_CFG_A_CAP_COUNT 0x00000003

Definition at line 107 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_CAP_COUNT_UP 0x00000013

Definition at line 108 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_CAP_TIME 0x00000007

Definition at line 109 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_CAP_TIME_UP 0x00000017

Definition at line 110 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_ONE_SHOT 0x00000021

Definition at line 103 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_ONE_SHOT_UP 0x00000031

Definition at line 104 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_PERIODIC 0x00000022

Definition at line 105 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_PERIODIC_UP 0x00000032

Definition at line 106 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_A_PWM 0x0000000A

Definition at line 111 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_CAP_COUNT 0x00000300

Definition at line 116 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_CAP_COUNT_UP 0x00001300

Definition at line 117 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_CAP_TIME 0x00000700

Definition at line 118 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_CAP_TIME_UP 0x00001700

Definition at line 119 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_ONE_SHOT 0x00002100

Definition at line 112 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_ONE_SHOT_UP 0x00003100

Definition at line 113 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_PERIODIC 0x00002200

Definition at line 114 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_PERIODIC_UP 0x00003200

Definition at line 115 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_B_PWM 0x00000A00

Definition at line 120 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_ONE_SHOT 0x00000021

Definition at line 97 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_ONE_SHOT_UP 0x00000031

Definition at line 98 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_PERIODIC 0x00000022

Definition at line 99 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_PERIODIC_UP 0x00000032

Definition at line 100 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_RTC 0x01000000

Definition at line 101 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_CFG_SPLIT_PAIR 0x04000000

Definition at line 102 of file timer.h.

Referenced by TimerConfigure().

#define TIMER_EVENT_BOTH_EDGES 0x00000C0C

Definition at line 148 of file timer.h.

#define TIMER_EVENT_NEG_EDGE 0x00000404

Definition at line 147 of file timer.h.

#define TIMER_EVENT_POS_EDGE 0x00000000

Definition at line 146 of file timer.h.

#define TIMER_RTC_MATCH 0x00000008

Definition at line 136 of file timer.h.

#define TIMER_TIMA_DMA 0x00000020

Definition at line 134 of file timer.h.

#define TIMER_TIMA_MATCH 0x00000010

Definition at line 135 of file timer.h.

#define TIMER_TIMA_TIMEOUT 0x00000001

Definition at line 139 of file timer.h.

#define TIMER_TIMB_DMA 0x00002000

Definition at line 129 of file timer.h.

#define TIMER_TIMB_MATCH 0x00000800

Definition at line 130 of file timer.h.

#define TIMER_TIMB_TIMEOUT 0x00000100

Definition at line 133 of file timer.h.